Bug 504199 - (CVE-2009-1932) CVE-2009-1932 gstreamer-plugins-good: PNG decoder integer overflow
CVE-2009-1932 gstreamer-plugins-good: PNG decoder integer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://secunia.com/advisories/35205/
impact=moderate,source=debian,reporte...
: Security
Depends On: 504200 504201 833908
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 14:01 EDT by Josh Bressers
Modified: 2016-03-04 07:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 05:36:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (2.44 KB, patch)
2009-06-04 14:06 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2009-06-04 14:01:49 EDT
Secunia reported an integer overflow in gstreamer-plugins-good PNG decoding handler. If something uses gstreamer-plugins-good to decode a PNG image, it may be possible to execute arbitrary code as the user.

The Debian bug report is here:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=531631
Comment 1 Josh Bressers 2009-06-04 14:04:53 EDT
In the research we've done, neither totem or rhythmbox will use this plugin to parse PNG images.

A PNG image can be displayed using this command:
gst-launch filesrc location=/usr/share/pixmaps/apple-green.png ! decodebin ! ffmpegcolorspace ! freeze ! autovideosink
Comment 2 Josh Bressers 2009-06-04 14:06:03 EDT
Created attachment 346576 [details]
Upstream patch
Comment 6 errata-xmlrpc 2009-06-25 10:13:38 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1123 https://rhn.redhat.com/errata/RHSA-2009-1123.html

Note You need to log in before you can comment on or make changes to this bug.